#include <iostream>
#include <cstring>
/* run this program using the console pauser or add your own getch, system("pause") or input loop */
//C1 i C2 odvojeno
int main(int argc, char** argv){
int a1,a2,i;
	char c1[2];
	char c2[2];
	scanf("%s %s",c1,c2);
	scanf("%d %d",&a1,&a2);

	if(a1>a2)
	{
		if(a1<a2+2)
		{
			for(i=0;i<a1;i++)
			if(i<=a1-2){
			printf("%s%s",c1,c2);
			}
			else{ printf("%s",c1);
			}
		}
		else {
		printf("nemoguce");
	}
{
	}	}
	else
	{
		if(a1==a2){
			for(i=0;i<a1;i++)
			{
				printf("%s%s",c1,c2);
			 }
 		}
		else{
		
		if(a2<a1+2)
		{
			for(i=0;i<a2;i++)
			if(i<=a2-2){
			printf("%s%s",c2,c1);
			}
			else{ printf("%s",c2);
			}
		}
		else {
		printf("nemoguce");
		}
	}
	
	
	
}
	
	}